netproc(8)

NAME
netproc - process-based network monitoring tool

SYNOPSIS
netproc [-B] [-c] [-f [filename]] [-h] [-i iface] [-n] [-p udp | tcp] [-v]
        [--si]

DESCRIPTION
netproc monitors network traffic and tries to find out which process this traffic belongs to, this is useful to quickly know who is consuming our network resources.

netproc currently supports the TCP and UDP protocols over the IPv4 protocol.

OPTIONS

-B, --bytes
    view in bytes, default in bits

-c  visualization each active connection of the process

--color 1|2|3
    color scheme, 1 is default

-f, --file "filename"
    save statistics in file, filename is optional, default is 'netproc.log'

-h, --help
    show this message

-i, --interface iface
    specifies an interface, default is all (except interface with network 127.0.0.0/8)

-n  numeric host and service, implicit '-c', try '-nh' to no translate only host or '-np' to not translate only service

-p, --protocol tcp|udp
    specifies a protocol, the default is tcp and udp

--si
    show SI format, with powers of 1000, default is IEC, with powers of 1024

-v, --verbose
    verbose mode, also show process without traffic

-V, --version
    show version

RUNNING CONTROL

arrow keys
    scroll

s   change column-based sort

q   exit

EXAMPLES
This command will display the ips / ports of the udp traffic of the processes, monitoring all available interfaces, except the loopback, and log a summary in the file "log.txt":

    # netproc -p udp -c -f "log.txt"

Useful to monitor the file generated in the above command:

    $ watch -t -d 'cat log.txt'
    $ watch -t 'cut -c -$COLUMNS log.txt'

Running whitout root:

    $ sudo setcap "cap_net_admin,cap_net_raw+pe" /usr/local/sbin/netproc
    $ export PATH=$PATH:/usr/local/sbin

BUGS
Help improve this software, report bugs at

https://github.com/berghetti/netproc/issues

AUTHOR
Mayco Souza Berghetti <mayco.s.berghetti@gmail.com>

COPYRIGHT
Copyright © 2020-2021 Mayco S. Berghetti. Licensed GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.